<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Key-Value Engines
            </h1>
            <% include ../partials/messages %>
            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <div class="table-responsive">
                    <table class="table table-striped table-hover table-sm">
                        <thead class="thead-dark">
                            <tr>
                                <th colspan="2">
                                    <div class="col p-0 text-right">
                                        <a href="/vault/kv/enable" class="btn btn-primary">Enable New KV Engine</a>
                                    </div>
                                </th>
                            </tr>
                            <tr>
                                <th scope="col">Path</th>
                                <th scope="col" class="w-operations-btn">Operation</th>
                            </tr>
                        </thead>
                        <tbody>
                            <% for(var i=0; i < kvEngines.length; i++) { %> 
                            <tr>
                                <td class="break-word font-weight-bold">
                                    <a href="/vault/kv/secret/read/<%= encodeURIComponent(kvEngines[i]) %>"><%= kvEngines[i] %></a>
                                </td>
                                <td>
                                    <a href="/vault/kv/configuration/<%= kvEngines[i] %>" class="btn btn-primary float-right my-2 my-sm-0 btn-block">View Configuration</a>
                                    <a href="/vault/kv/disable/<%= kvEngines[i] %>" class="btn btn-danger float-right my-2 my-sm-0 btn-block" onclick="return confirm('Disable engine? Any data in this engine will be permanently deleted.')">Disable</a>
                                </td>
                            </tr>
                            <% } %>
                        </tbody>
                    </table>
                </div>
            </div>
        </main>
    </div>
</div>